Permalink
Browse files

Higher requirement on basic-prelude

  • Loading branch information...
1 parent 1e2a37f commit 3af110ed419a3e1f91a8de157451edb2302a6d1f @DanBurton committed Aug 27, 2012
Showing with 2 additions and 3 deletions.
  1. +1 −2 modular-prelude/ModularPrelude.hs
  2. +1 −1 modular-prelude/modular-prelude.cabal
@@ -9,11 +9,10 @@
module ModularPrelude
( module CorePrelude
, module Data.Default
- , Prelude.Read -- should be in CorePrelude
, Prelude.String
) where
-import CorePrelude hiding (empty, concat, (++), or, elem, zip, zipWith, unzip)
+import CorePrelude
import Data.Default
import qualified Prelude
@@ -37,7 +37,7 @@ library
, ModularPrelude.Module.Vector
, ModularPrelude.Module.UVector
- build-depends: basic-prelude >= 0.2.0 && < 0.2.1
+ build-depends: basic-prelude >= 0.3.0 && < 0.3.1
, data-default >= 0.5.0 && < 0.5.1
, hashable

0 comments on commit 3af110e

Please sign in to comment.